Downgrading 11.0/11.1 3DSs without DSiWareHax is possible

Discussion in '3DS - Homebrew Development and Emulators' started by Salamencizer, Dec 11, 2016.

  1. Salamencizer
    OP

    Salamencizer Handsome Computer Nerd

    Member
    795
    605
    Oct 3, 2015
    India
    Below
    Now that waithax is here, a reminder:
    If Someone manages to combine this vuln and waithax into a new version of sysUpdater, it would first be used to downgrade the NFirm, and then the whole console. BAM.
    This will not require any special DSiWare.
    Someone start working on this imo
     
    Last edited by Salamencizer, Dec 12, 2016


  2. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    I'm not sure if this is entirely needed, because once you downgrade your NATIVE_FIRM to the 10.4's one, you can downgrade to 9.2 "just as if you were on 10.4"
    using sysDowngrader etc
     
    GilgameshArcher likes this.
  3. Salamencizer
    OP

    Salamencizer Handsome Computer Nerd

    Member
    795
    605
    Oct 3, 2015
    India
    Below
    This is how you downgrade the NATIVE_FIRM to 10.4's
     
  4. RamTheSecond

    RamTheSecond Member

    Newcomer
    26
    7
    Jun 10, 2016
    Gambia, The
    the secret Dungeon of Nintendo
    Is this a Dream ?
     
    NoNAND and naddel81 like this.
  5. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,354
    19,683
    Sep 13, 2009
    Antarctica
    Between insane and insecure
  6. Salamencizer
    OP

    Salamencizer Handsome Computer Nerd

    Member
    795
    605
    Oct 3, 2015
    India
    Below
    Last edited by Salamencizer, Dec 11, 2016
    NoNAND, Jayro, gnmmarechal and 3 others like this.
  7. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,359
    556
    Nov 3, 2015
    Puerto Rico
    wormdood and Darkyose like this.
  8. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,354
    19,683
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Wait, really?
    tumblr_md60lpAnDj1rsyw8g.gif
     
    Last edited by Lilith Valentine, Dec 11, 2016
    Jay_, Hoppy and Ricken like this.
  9. Lotoonlink

    Lotoonlink Probably doesn't know what he's talking about

    Member
    195
    61
    Aug 15, 2016
    United States
    Yep, looks like christmas came early!
     
  10. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,655
    715
    Aug 22, 2015
    United States
    Hell
    When kids still haven't learned from the early builds of sysdowngrader back in the memechunkhax2 days...
     
    NoNAND, DrCrygor07, PF2M and 2 others like this.
  11. mehmeh11

    mehmeh11 GBAtemp Regular

    Member
    180
    15
    Jul 14, 2016
    Peru
    ???
     
  12. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,655
    715
    Aug 22, 2015
    United States
    Hell
    the ancient sysdowngrader builds downgraded nfirm first and led to bricks...
     
    NoNAND likes this.
  13. Soulsilve2010

    Soulsilve2010 GBAtemp Regular

    Member
    267
    59
    Sep 3, 2016
    United States
    United States,Indiana
    If something like that is possible it would be very interesting.
     
  14. mehmeh11

    mehmeh11 GBAtemp Regular

    Member
    180
    15
    Jul 14, 2016
    Peru
    yikes, hopefully there can be a way around that
     
  15. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,194
    455
    Oct 11, 2016
    United States
    Imagination
    LOLOLOLOLOLOLOL, I MEMBER........
     
    Erikku and ShinyMK like this.
  16. Raugo

    Raugo GBAtemp Regular

    Member
    298
    114
    Nov 22, 2014
    Is not the same case, you can't downgrade the native_firm to 9.2 first because the rest of the system isn't compatible with it but you can downgrade the native_firm to 9.6-10.7 without problem.
     
  17. Somebody Whoisbored

    Somebody Whoisbored it's all okeydokey

    Member
    478
    166
    May 12, 2016
    United States
    hypeland
    I believe that wait/slowhax only gives ARM11 kernel privileges, which would not have the sufficient permissions to install titles (or updates as they are the same thing)
     
  18. maikeh

    maikeh Newbie

    Newcomer
    2
    0
    Dec 15, 2014
    Cote d'Ivoire
    In your house
    And I just bought Rytmik Rock Edition to downgrade 2 3DSes... $1.99 wasted, fuck. (I know it isn't a lot so I shouldn't care about it)

    Aside from that, this downgrade method looks interesting. Hope somebody releases this soon.
     
    Last edited by maikeh, Dec 12, 2016
  19. AnalogMan

    AnalogMan sumoCheatMenu Dev

    Member
    1,314
    766
    Apr 20, 2007
    United States
    ARM11 is all we've ever had when downgrading to 9.2 (if we had ARM9 then we could install CFW and A9LH without downgrading).
     
    DrCrygor07 and ShinyMK like this.
  20. N7Kopper

    N7Kopper Proud lover of a three-inch girlfriend

    Member
    363
    133
    Aug 24, 2014
    ARM11 kernel handles all installations after they pass an ARM9 security check. ARM9 actually can't install stuff at all. This is why Decrypt9 can't install a game direct from cartridge.

    The problem with 11.0 and up is that ARM9 checks the version information in a way not easily bypassable just by deleting the "old" data before installing the "new". And worse, 11.2 fixed the TOCTTOU. But for 11.2 to fix it means that 11.0 and 11.1 had it, and are therefore vulnerable outside of TWL_FIRM. The only reason that TWL_FIRM is still vulnerable is that FIRMs need to remain unencrypted in order to load, and the essential software that NATIVE_FIRM loads doesn't check for a version above the one that came with 9.6 yet. So don't update all willy-nilly even if you have everything ready. But why would you? Shouldn't you be downgrading if you do?
     
    Salamencizer likes this.